<template>
    <el-tooltip :content="content" v-if="settingStore.showToolTip">
        <el-icon :class="class" @click="navGo(url)" class="cursor-pointer">
            <InfoFilled />
        </el-icon>
    </el-tooltip>
</template>
<script setup lang="ts">
import { defineProps } from 'vue';
import useSettingStore from '@/stores/modules/setting'
import { useRouter } from "vue-router"
const router = useRouter()
const settingStore = useSettingStore()


defineProps({
    class: {
        type: String,
        default: "ml-2 mt-4"
    },
    content: {
        type: String
    },
    url: String
})


const navGo = (url) => {
    if (!url) return

    router.push(url)
}




</script>